[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'versiontypes' (#fcl-res)

# TVersionStringTable.Add

Adds a new item to the string table

## Declaration

Source position: versiontypes.pp line 91

`public procedure TVersionStringTable.Add(`
`const aKey: string;`
`const aValue: string`
`);`

## Arguments

`aKey` |  | The key of the item to add
`aValue` |  | The value of the item to add

## Description

This methods adds a new key-value pair to the string table.

Note that some predefined keys do exist. See TVersionStringTable for further information.

## Errors

If an item with the same key already exists, an EDuplicateKeyException exception is raised.

## See also

TVersionStringTable |  | Version information for a specific language-codepage combination
TVersionStringTable.Keys |  | Indexed array of keys in the object
TVersionStringTable.Values |  | Array of values in the object, accessed by key
TVersionStringTable.ValuesByIndex |  | Indexed array of values in the object